import { TranslateService } from '@ngx-translate/core';
import { FormField } from '@seniorsistemas/angular-components';
import { Observable } from 'rxjs';
import { LookupServiceConfig } from '../../core/dto/lookup-service-config';
import { ContributionTypeService } from '../../core/entities/contribution-type/contribution-type.service';
import { EntityLookupConfigService } from '../../shared/services/entity-lookup-config.service';
export declare class ContributionTypeLookupService {
    private translate;
    private configService;
    private contributionTypeService;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, contributionTypeService: ContributionTypeService);
    lookupServiceConfig: LookupServiceConfig;
    private ngUnsubscribe;
    updateSuggestions(value: any): void;
    getSuggestionValue(displayFields: string[], ownerEntity: string, value: any, separator: string): any;
    getFormField(): FormField;
    onContributionTypeSearchRequest(event: any): void;
    onContributionTypeSearchRequestObservable(event: any, additionalFilter: string, companyIds: string[], isDynamicForm?: boolean): Observable<any>;
    private getFiltersDefaultContributionType;
    private mapToComponent;
    private getLabelForMaping;
    onContributionTypeLookupRequest(value: string): void;
    onContributionTypeLookupRequestObservable(value: string, additionalFilter: string, companyIds: string[]): Observable<any>;
    getContributionTypeSearchFields(): FormField[];
}
